Name: zapping
Version: 0.6.5
Release: 2
Summary: a TV viewer for Gnome
Copyright: GPL
Group: Applications/Multimedia
URL: http://zapping.sourceforge.net
#Packager: Michael H. Schimek <mschimek@users.sourceforge.net>
Source: ftp://zapping.sourceforge.net/pub/zapping/0.6.5/zapping-0.6.5.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: libglade-devel libxml-devel
PreReq: /sbin/install-info
# Not relocatable Prefix: /usr
%define prefx %{_prefix}

Requires: gnome-libs >= 1.0.40
Requires: libxml >= 1.4.0
Requires: libglade >= 0.9
Requires: gdk-pixbuf >= 0.8
Requires: libunicode >= 0.4
Requires: gettext >= 0.11.2
Requires: /usr/bin/consolehelper
Requires: zvbi >= 0.2
Requires: rte >= 0.5

%description
This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%prep
%setup -q

%build
%configure --with-gnome-prefix=%{prefx}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%post
pushd %{_bindir} > /dev/null 2>&1
    ln -sf %{_bindir}/consolehelper zapping_setup_fb
    ln -sf zapping zapzilla
popd > /dev/null 2>&1

%preun
rm -f %{_bindir}/zapping_setup_fb > /dev/null 2>&1
rm -f %{_bindir}/zapzilla > /dev/null 2>&1

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc AUTHORS THANKS ChangeLog README README.plugins COPYING TODO BUGS
%doc plugins/alirc/README.alirc
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%{_bindir}/zapping
%{_bindir}/zapping_fix_overlay
%{_sbindir}/zapping_setup_fb
%{_libdir}/zapping
%{_datadir}/zapping
%{_datadir}/gnome/help/zapping
%{_datadir}/pixmaps/zapping
%{_datadir}/gnome/apps/Multimedia/zapping.desktop
%{_datadir}/locale/*/*/*
%{_mandir}/man1/*

%changelog
* Fri Feb 14 2003  Peter Hanecak <hanecak@megaloman.sk> 0.6.5-2
- %%configure and %%{_prefix} used

* Fri Oct 4 2002 Michael H. Schimek <mschimek@users.sourceforge.net>
- Changed prefx to /usr
- Added rte, zvbi dependencies.

* Tue Jun 24 2002 Michael H. Schimek <mschimek@users.sourceforge.net>
- Removed po/zapping.pot from docs list (purpose?)

* Tue Jun 18 2002 Michael H. Schimek <mschimek@users.sourceforge.net>
- Requires gettext 0.11.2

* Sun Mar 10 2002 Michael H. Schimek <mschimek@users.sf.net>
- Picked up incorrect dependency on librte-0.4cvs, corrected.

* Sat Mar 9 2002 Michael H. Schimek <mschimek@users.sf.net>
- Packager changed

* Sat Jul 28 2001 Iaki Garca Etxebarria <garetxe@users.sf.net>
- Added zapzilla as a soft link to zapping

* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- pamified zapping_setup_fb, now no need for suid root bits, and no
crippling of the app :)

* Thu Sep 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Removed the LibPng dependency, now libjpeg is used.

* Mon Sep 11 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the dependency to GdkPixbuf and LibPng

* Mon Jun 19 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the desktop entry and removed the specified --datadir

* Mon Jun 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Fixed, it didn't include the translations properly.

* Thu Jun 06 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Created, it works fine.
